<!DOCTYPE html "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html lang="es">
    <head>
        <title>Blog</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    </head>
<body>
<?php
$connect = mysqli_connect("127.0.0.1", "root", "", "blog");

/* Comprobación de la conexión */
if ($connect) {
    echo "Fallo en la conexión: ".mysqli_connect_error();
    exit();
}
  
if ($_FILES['foto']['error']) {    
	  switch ($_FILES['foto']['error']){    
		   case 1: // UPLOAD_ERR_INI_SIZE    
			   echo "La tamaño del archivo es más grande que el límite permitido por el servidor (argumento upload_max_filesize del archivo php.ini).";    
			   break;    
		   case 2: // UPLOAD_ERR_FORM_SIZE    
			   echo "La tamaño del archivo es más grande que el límite permitido por el formulario (argumento post_max_size del archivo php.ini).";
			   break;    
		   case 3: // UPLOAD_ERR_PARTIAL    
			   echo "El envío del archivo se ha interrumpido durante la transferencia.";    
			   break;    
		   case 4: // UPLOAD_ERR_NO_FILE    
			   echo "El tamaño del archivo que ha enviado es nulo.";
			   break;    
	  }    
}    
else {    
 //si no hay error entonces $_FILES['nombre_del_archivo']['error'] vale 0    
	echo "Ningún error en la transferencia del archivo.<br />";
	if ((isset($_FILES['foto']['name'])&&($_FILES['foto']['error'] == UPLOAD_ERR_OK))) {    
		$ruta_destino ='fotos/';  
		//desplazamiento del archivo del directorio temporal 
         //(almacenamiento por defecto) en el directorio de destino		move_uploaded_file($_FILES['foto']['tmp_name'], $ruta_destino.$_FILES['foto']['name']);    
		echo "El archivo ".$_FILES['foto']['name']." se ha copiadoen el directorio fotos";
	} 
	else {
		echo "El archivo no se ha podido copiar en el directorio fotos.";
	}
}

$consulta = "INSERT INTO contenido (Titulo, Fecha, Comentario, Foto) VALUES ('".htmlentities(addslashes($_POST['titulo']),ENT_QUOTES)."','".date("Y-m-d H:i:s")."','".htmlentities(addslashes($_POST['comentario']),ENT_QUOTES)."','".$_FILES['foto']['name']."')";
$resultado = mysqli_query($connect,$consulta);
$identificador = mysqli_insert_id($connect);
/* Cierre de la conexión */
mysqli_close($connect);

if ($identificador = 0) {
	echo "<br />Adición del comentario con éxito.<br /><br />";
}
else {
	echo "<br />El comentario no se ha podido añadir.<br /><br />";
}
?>
<a href="formulario_añadir.php" >regreso a la página de añadir</a>
 </body>
</html>
